Summary:        Low-level interface to the zlib compression library
Name:           perl-Compress-Raw-Zlib
Version:        2.206
Release:        4%{?dist}
License:        (GPL+ or Artistic) and zlib
URL:            https://metacpan.org/release/Compress-Raw-Zlib
Source0:        https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Zlib-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-generators perl-interpreter
BuildRequires:  perl-devel zlib-devel perl(Config) perl(lib) perl(vars) perl(Carp)
BuildRequires:  perl(ExtUtils::Constant) perl(ExtUtils::Install) perl(File::Copy)
BuildRequires:  perl(File::Spec::Functions) perl(bytes) perl(constant) perl(Exporter)
BuildRequires:  perl(strict) perl(warnings) perl(lib) perl(File::Path) perl(File::Temp)
BuildRequires:  perl(List::Util) perl(threads::shared) perl(XSLoader) perl(overload)
BuildRequires:  perl(Test::More) perl(Test::NoWarnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
Requires:       perl(XSLoader)

%description
The Compress::Raw::Zlib module provides a Perl interface to the zlib 
or zlib-ng compression libraries.

%prep
%autosetup -n Compress-Raw-Zlib-%{version}

%build
export OLD_ZLIB=False BUILD_ZLIB=False ZLIB_LIB=%{_libdir} ZLIB_INCLUDE=%{_includedir}
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test COMPRESS_ZLIB_RUN_MOST=1

%files
%license README
%doc Changes
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Zlib.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.206-1
- Upgrade to upstream version 2.206
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.202-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.202-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.202-1
- Initial build
